AurionAI Docs

Upsert Notification Template

PUT
/api/v2/notification-templates

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/v2/notification-templates" \  -H "Content-Type: application/json" \  -d '{    "body_html": "string",    "event_type": "string",    "subject": "string"  }'
{
  "body_html": "string",
  "body_text": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "event_type": "string",
  "id": "string",
  "is_default": false,
  "is_outdated": true,
  "locale": "string",
  "subject": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "variables_schema": {}
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}